]> git.immae.eu Git - github/fretlink/terraform-provider-statuscake.git/blame - GNUmakefile
Merge pull request #13 from terraform-providers/f-make-website
[github/fretlink/terraform-provider-statuscake.git] / GNUmakefile
CommitLineData
8904b9d0
J
1TEST?=$$(go list ./... |grep -v 'vendor')
2GOFMT_FILES?=$$(find . -name '*.go' |grep -v vendor)
c1b49eba
RS
3WEBSITE_REPO=github.com/hashicorp/terraform-website
4PKG_NAME=statuscake
8904b9d0
J
5
6default: build
7
8build: fmtcheck
9 go install
10
5f34059a 11test: fmtcheck
8904b9d0
J
12 go test -i $(TEST) || exit 1
13 echo $(TEST) | \
14 xargs -t -n4 go test $(TESTARGS) -timeout=30s -parallel=4
15
16testacc: fmtcheck
17 TF_ACC=1 go test $(TEST) -v $(TESTARGS) -timeout 120m
18
8904b9d0
J
19vet:
20 @echo "go vet ."
21 @go vet $$(go list ./... | grep -v vendor/) ; if [ $$? -eq 1 ]; then \
22 echo ""; \
23 echo "Vet found suspicious constructs. Please check the reported constructs"; \
24 echo "and fix them if necessary before submitting the code for review."; \
25 exit 1; \
26 fi
27
28fmt:
29 gofmt -w $(GOFMT_FILES)
30
31fmtcheck:
32 @sh -c "'$(CURDIR)/scripts/gofmtcheck.sh'"
33
34errcheck:
35 @sh -c "'$(CURDIR)/scripts/errcheck.sh'"
36
37vendor-status:
38 @govendor status
39
ef7ddbff 40test-compile:
41 @if [ "$(TEST)" = "./..." ]; then \
42 echo "ERROR: Set TEST to a specific package. For example,"; \
c1b49eba 43 echo " make test-compile TEST=./$(PKG_NAME)"; \
ef7ddbff 44 exit 1; \
45 fi
46 go test -c $(TEST) $(TESTARGS)
47
c1b49eba
RS
48website:
49ifeq (,$(wildcard $(GOPATH)/src/$(WEBSITE_REPO)))
50 echo "$(WEBSITE_REPO) not found in your GOPATH (necessary for layouts and assets), get-ting..."
51 git clone https://$(WEBSITE_REPO) $(GOPATH)/src/$(WEBSITE_REPO)
52endif
53 @$(MAKE) -C $(GOPATH)/src/$(WEBSITE_REPO) website-provider PROVIDER_PATH=$(shell pwd) PROVIDER_NAME=$(PKG_NAME)
54
55website-test:
56ifeq (,$(wildcard $(GOPATH)/src/$(WEBSITE_REPO)))
57 echo "$(WEBSITE_REPO) not found in your GOPATH (necessary for layouts and assets), get-ting..."
58 git clone https://$(WEBSITE_REPO) $(GOPATH)/src/$(WEBSITE_REPO)
59endif
60 @$(MAKE) -C $(GOPATH)/src/$(WEBSITE_REPO) website-provider-test PROVIDER_PATH=$(shell pwd) PROVIDER_NAME=$(PKG_NAME)
61
62.PHONY: build test testacc vet fmt fmtcheck errcheck vendor-status test-compile website website-test
8904b9d0 63